/*Переделать домашнее задание №12 используя jQuery*/
/*Нарисовать на странице круг используя параметры, которые введет пользователь.

Технические требования:

При загрузке страницы - показать на ней кнопку с текстом "Нарисовать круг". Данная кнопка должна являться единственным контентом в теле HTML документа, весь остальной контент должен быть создан и добавлен на страницу с помощью Javascript.
При нажатии на кнопку - вместо нее показать два поля ввода. В первом пользователь сможет ввести диаметр круга в пикселях. Во втором - цвет круга (в любом формате, который понимает CSS - имя цвета, RGB, HEX, HSL).
Под полями ввода должна быть кнопка "Нарисовать". При нажатии - на странице должен появиться круг заданного пользователем диаметра и с заливкой указанного цвета.


Не обязательное задание продвинутой сложности:

При нажатии на кнопку "Нарисовать круг" показывать только одно поле ввода - диаметр круга. При нажатии на кнопку "Нарисовать" создать на странице 100 кругов (10*10) случайного цвета. При клике на каждый - они должны исчезать
У вас может возникнуть желание поставить обработчик события на каждый круг для его исчезновения. Это неэффективно, так делать не нужно. На всю страницу должен быть только один обработчик событий, который будет это делать.*/

$(function () {
    let counter = 0;
    // обработчик .click - прямая привязка, работает только с элементами, которые изначально есть на странице
    $('#drawCircleBtn').click(function () {
        $(this).hide();
        $(this).after('<input type="text" id="radius" placeholder="enter radius"><div><button id="drawBtn">Нарисовать</button></div>');
    })
// метод .on создает делегированную привязку, работает и с динамически созданными элементами. Более старый аналогичный метод
// .live - $('#drawBtn').live('click', function () {})
    $('body').on('click', '#drawBtn', function () {
        if (counter === 0) {
            $('#drawBtn').after('<div id="container" ></div>');
        }
        else {
            $("#container").replaceWith('<div id="container" ></div>');
        }
        counter++;
        const radius = $('#radius').val();
        $("#container").css({'width': radius * 10});
        for (let i = 0; i < 100; i++) {
            $('#container').append(`<div class="circle" style = 'display: inline-block;
                width: ${radius}px;
                height: ${radius}px;
                background-color: #${(Math.floor(Math.random() * (256))).toString(16)}${(Math.floor(Math.random() * (256))).toString(16)}${(Math.floor(Math.random() * (256))).toString(16)};
                border-radius: 50%;
                box-sizing: border-box;'></div>`)
        }
    })
    $('body').on('click', "#container", function () {
        container.removeChild(event.target);
    })
});